package com.fs.watch.service;

import com.fs.his.domain.FsStoreOrder;
import com.fs.watch.domain.WatchMedicationTask;
import com.fs.watch.domain.vo.WatchUserAndMedicationVo;

import java.util.ArrayList;
import java.util.List;

/**
 * 腕用药提醒Service接口
 *
 * @author fs
 * @date 2024-12-10
 */
public interface WatchMedicationTaskService
{
    /**
     * 查询腕用药提醒
     *
     * @param id 腕用药提醒主键
     * @return 腕用药提醒
     */
    public WatchMedicationTask selectWatchMedicationTaskById(Long id);

    /**
     * 查询腕用药提醒列表
     *
     * @param watchMedicationTask 腕用药提醒
     * @return 腕用药提醒集合
     */
    public List<WatchMedicationTask> selectWatchMedicationTaskList(WatchMedicationTask watchMedicationTask);

    /**
     * 新增腕用药提醒
     *
     * @param watchMedicationTask 腕用药提醒
     * @return 结果
     */
    public int insertWatchMedicationTask(WatchMedicationTask watchMedicationTask);

    /**
     * 修改腕用药提醒
     *
     * @param watchMedicationTask 腕用药提醒
     * @return 结果
     */
    public int updateWatchMedicationTask(WatchMedicationTask watchMedicationTask);

    /**
     * 批量删除腕用药提醒
     *
     * @param ids 需要删除的腕用药提醒主键集合
     * @return 结果
     */
    public int deleteWatchMedicationTaskByIds(Long[] ids);

    /**
     * 删除腕用药提醒信息
     *
     * @param id 腕用药提醒主键
     * @return 结果
     */
    public int deleteWatchMedicationTaskById(Long id);

    int insertList(ArrayList<WatchMedicationTask> tasks);

    List<WatchUserAndMedicationVo> medicationTaskList(Integer medicationTime);

    void addMedicationTask(FsStoreOrder order);

}
